apiVersion: apps/v1
kind: Deployment
metadata:
  name: l3_attackmitigatorservice
spec:
  selector:
    matchLabels:
      app: l3_attackmitigatorservice
  template:
    metadata:
      labels:
        app: l3_attackmitigatorservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: registry.gitlab.com/teraflow-h2020/controller/l3_attackmitigator:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 10002
        env:
        - name: LOG_LEVEL
          value: "DEBUG"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10002"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10002"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: l3_attackmitigatorservice
spec:
  type: ClusterIP
  selector:
    app: l3_attackmitigatorservice
  ports:
  - name: grpc
    port: 10002
    targetPort: 10002
